#
# spec file for package playmidi (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         playmidi
Copyright:    GPL
Group:        Applications/Sound
#Requires:     xforms
Autoreqprov:  on
Version:      2.4
Release:      168
Summary:      MIDI file player for console, X11 and SVGALib
Source: playmidi-2.4.tar.gz
Patch: playmidi-2.4.dif
Patch1: playmidi-2.3-hertz.patch
Patch2: playmidi-2.4-midimap.patch

%description
This player also supports Creative Music Files (CMF) and
Microsoft RIFF (RMI) files and large midi archives.

Authors:
--------
    Nathan I. Laredo <laredo@gnu.ai.mit.edu>

SuSE series: snd

%prep
%setup -n playmidi-2.4
%patch
%patch1 -p1
%patch2 -p1

%build
./Configure
make playmidi CFLAGS="$RPM_OPT_FLAGS"
make xplaymidi CFLAGS="$RPM_OPT_FLAGS"
# I'd say we better forget the GTK version for now...
#make gtkplaymidi CFLAGS="$RPM_OPT_FLAGS"
%ifarch i386
make splaymidi CFLAGS="$RPM_OPT_FLAGS"
%endif

%install
install -m 755 playmidi /usr/bin
install -d -m 755 /etc/midi
install -m 644 std.o3 drums.o3 std.sb drums.sb /etc/midi
%ifarch i386
install -m 755 splaymidi /usr/bin
%endif
install -m 755 xplaymidi /usr/X11R6/bin
#install -m 755 gtkplaymidi /usr/X11R6/bin
install -m 644 playmidi.1 /usr/share/man/man1

%files
%doc BUGS COPYING QuickStart README.1ST
%dir /etc/midi
/etc/midi/std.o3
/etc/midi/drums.o3
/etc/midi/std.sb
/etc/midi/drums.sb
%doc /usr/share/man/man1/playmidi.1.gz
/usr/bin/playmidi
%ifarch i386
/usr/bin/splaymidi
%endif
/usr/X11R6/bin/xplaymidi
#/usr/X11R6/bin/gtkplaymidi

%changelog -n playmidi
* Tue Apr 10 2001 - uli@suse.de
- fixed Group tag
* Thu Aug 24 2000 - uli@suse.de
- update -> 2.4 :)
- moved drums.*, std.* files from /etc to /etc/midi
* Thu Aug 24 2000 - uli@suse.de
- initial package, version 2.3
